<?php
namespace Mirasvit\Core\Block\Adminhtml\Config\ExtensionInfo;

/**
 * Interceptor class for @see \Mirasvit\Core\Block\Adminhtml\Config\ExtensionInfo
 */
class Interceptor extends \Mirasvit\Core\Block\Adminhtml\Config\ExtensionInfo implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Core\Service\PackageService $packageService, \Mirasvit\Core\Service\FeatureService $featureService, \Magento\Backend\Block\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($packageService, $featureService, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
